xxvethernet: XXxvEthernet Struct Reference

| xxvethernet Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XXxvEthernet Struct Reference
Xxvethernet_v1_3

struct XXxvEthernet is the type for Xxv Ethernet driver instance data. More...

## Data Fields
XXxvEthernet_Config | Config
| Hardware configuration. More...
u32 | IsStarted
| Device is currently started. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | Options
| Current options word. More...
u32 | Flags
| Internal driver flags. More...

## Detailed Description

struct XXxvEthernet is the type for Xxv Ethernet driver instance data.

The calling code is required to use a unique instance of this structure for every Xxv Ethernet device used in the system. A reference to a structure of this type is then passed to the driver API functions.

## Field Documentation

XXxvEthernet_Config XXxvEthernet::Config

Hardware configuration.

Referenced by XxvEthernetUtilEnterLocalLoopback(), XxvEthernetUtilUsxgmiiSetup(), XxvEthernetUtilUsxgmiiSetupBypassAN(), XXxvEthernet_CfgInitialize(), XXxvEthernet_ClearOptions(), XXxvEthernet_GetAutoNegSpeed(), XXxvEthernet_Initialize(), XXxvEthernet_SetAutoNegSpeed(), XXxvEthernet_SetOptions(), XXxvEthernet_SetUsxgmiiRateAndDuplex(), XXxvEthernet_Start(), XXxvEthernet_Stop(), XXxvEthernet_UsxgmiiAnMainReset(), and XXxvEthernet_UsxgmiiAnMainRestart().

u32 XXxvEthernet::Flags

Internal driver flags.

u32 XXxvEthernet::IsReady

Device is initialized and ready.

Referenced by XXxvEthernet_CfgInitialize(), XXxvEthernet_ClearOptions(), XXxvEthernet_GetAutoNegSpeed(), XXxvEthernet_GetOptions(), XXxvEthernet_Initialize(), XXxvEthernet_Reset(), XXxvEthernet_SetAutoNegSpeed(), XXxvEthernet_SetOptions(), XXxvEthernet_SetUsxgmiiRateAndDuplex(), XXxvEthernet_Start(), XXxvEthernet_Stop(), XXxvEthernet_UsxgmiiAnMainReset(), and XXxvEthernet_UsxgmiiAnMainRestart().

u32 XXxvEthernet::IsStarted

Device is currently started.

Referenced by XXxvEthernet_ClearOptions(), XXxvEthernet_SetOptions(), XXxvEthernet_Start(), and XXxvEthernet_Stop().

u32 XXxvEthernet::Options

Current options word.

Referenced by XXxvEthernet_ClearOptions(), XXxvEthernet_GetOptions(), XXxvEthernet_Reset(), XXxvEthernet_SetOptions(), and XXxvEthernet_Start().